# eric4.QScintilla.Lexers.LexerOctave

Module implementing a Octave lexer with some additional methods.

### Global Attributes

None

### Classes

LexerOctave | Subclass to implement some additional lexer dependent methods.

### Functions

None

## LexerOctave

Subclass to implement some additional lexer dependent methods.

### Derived from

QsciLexerOctave, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerOctave | Constructor
defaultKeywords | Public method to get the default keywords.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerOctave (Constructor)

LexerOctave(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerOctave.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerOctave.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerOctave.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up